module Tvdbjson
  class Authentication

    attr_accessor :expiry, :token

    TVDB_API_KEY   = ENV['TVDB_API_KEY']
    TVDB_USER_KEY  = ENV['TVDB_USER_KEY']
    TVDB_USER_NAME = ENV['TVDB_USER_NAME']

    def initialize()
      new_token
    end

    def token_expired?
      Time.now >= @expiry
    end

    def new_token
      @expiry = Time.now + 86400
      @token = get_token
    end

    private

      def get_token
        options = {}
        options[:uri] = "/login"
        options[:body] = { "apikey" => TVDB_API_KEY, "userkey" => TVDB_USER_KEY, "username" => TVDB_USER_NAME }
        options[:header] = { "Content-Type" => "application/json" }

        request = Request.new(options)
        response = request.post
        response.parsed_response["token"]
      end

  end
end
