module Tvdbjson
  class Request
    BASE_URI = "https://api.thetvdb.com"

    attr_accessor :url, :body, :headers, :authentication

    def initialize(options = {})
      @url = "#{BASE_URI}#{options[:uri]}"
      @body = options[:body] unless !options[:body]
      @headers = {
        'Accept' => 'application/json'
      }.merge(options[:header])
    end

    def get
      HTTParty.get(@url, :headers => @headers)
    end

    def post
      HTTParty.post(@url, :headers => @headers, :body => @body.to_json)
    end

  end
end
